#
# spec file for package dj64
#

Name: dj64
Version: 0.0.git.976.eb0991fe
Release: 1%{?dist}
Summary: 64-bit djgpp-compatible dev suite

Group: Development/Libraries

License: GPLv3+
URL: https://github.com/stsp/dj64dev
VCS: git+https://github.com/stsp/dj64dev.git#eb0991fe5e03b5922f159b0bbdb125e8cf628afb:
Source0: dj64dev-eb0991fe.tar.gz

BuildRequires: make
BuildRequires: sed
BuildRequires: bash
BuildRequires: gcc
BuildRequires: binutils
BuildRequires: gcc-x86_64-linux-gnu
BuildRequires: binutils-x86_64-linux-gnu
BuildRequires: coreutils
BuildRequires: elfutils-libelf-devel
BuildRequires: thunk-gen
BuildRequires: pkgconf-pkg-config
BuildRequires: ctags

%description
dj64 is a 64-bit djgpp-compatible dev suite.

%prep
%setup -T -b 0 -q -n dj64dev

%build
make PREFIX=%{_prefix}

%check

%install
make install DESTDIR=%{buildroot} PREFIX=%{_prefix} LIBDIR=%{_libdir}

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_prefix}/i386-pc-dj64/lib64/*.so.*

%package devel
Summary: dj64 development headers

Requires: dj64
Requires: gcc
Requires: binutils

%description devel
This package contains headers for dj64 usage.

%files devel
%defattr(-,root,root)
%{_includedir}/djdev64
%{_prefix}/i386-pc-dj64/include
%{_prefix}/i386-pc-dj64/lib/*.a
%{_libdir}/*.so
%{_prefix}/i386-pc-dj64/lib64/*.so
%{_prefix}/i386-pc-dj64/bin/*
%{_bindir}/*
%{_datadir}/pkgconfig/*.pc

%changelog
